Best way to import legacy non-encrypted wallet



  • I have an old wallet file from version 0.3.3.1 which I would like to import. However when I try to import, I am asked for a password. Is there another way I should be using to import the keys into my current wallet? Thanks


  • admins

    The password that it's asking for is your current wallet password. The 0.3.3.1 wallet did not have a password. This should be more clearly specified by the frontend. Sorry for the confusion.

    The reason it needs your current password is so it can encrypt the wallet you are importing. It's not a good idea to leave unencrypted keys on your disk, but you can't encrypt things unless you've got the password.


Log in to reply